org.jboss.netty.handler.codec.spdy

## Class SpdyHttpDecoder

- java.lang.Object
- - org.jboss.netty.handler.codec.oneone.OneToOneDecoder
  - - org.jboss.netty.handler.codec.spdy.SpdyHttpDecoder

All Implemented Interfaces:
  ChannelHandler, ChannelUpstreamHandler

    public class SpdyHttpDecoder
    extends OneToOneDecoder

Decodes `SpdySynStreamFrame`s, `SpdySynReplyFrame`s, and `SpdyDataFrame`s into `HttpRequest`s and `HttpResponse`s.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

`ChannelHandler.Sharable`

### Constructor Summary

Constructors
Constructor and Description
`SpdyHttpDecoder(int maxContentLength)` Deprecated.
`SpdyHttpDecoder(int version, int maxContentLength)` Creates a new instance.

### Method Summary

Methods
`protected Object` `decode(ChannelHandlerContext ctx, Channel channel, Object msg)` Transforms the specified received message into another message and return the transformed message.

### Methods inherited from class org.jboss.netty.handler.codec.oneone.OneToOneDecoder

`handleUpstream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpdyHttpDecoder

    @Deprecated
    public SpdyHttpDecoder(int maxContentLength)

Deprecated.
Creates a new instance for the SPDY/2 protocol

Parameters:
  `maxContentLength` - the maximum length of the message content. If the length of the message content exceeds this value, a `TooLongFrameException` will be raised.

#### SpdyHttpDecoder

    public SpdyHttpDecoder(int version,
                   int maxContentLength)

Creates a new instance.

Parameters:
  `version` - the protocol version
  `maxContentLength` - the maximum length of the message content. If the length of the message content exceeds this value, a `TooLongFrameException` will be raised.

### Method Detail

#### decode

    protected Object decode(ChannelHandlerContext ctx,
                Channel channel,
                Object msg)
                     throws Exception

Description copied from class: `OneToOneDecoder`
Transforms the specified received message into another message and return the transformed message. Return `null` if the received message is supposed to be discarded.

Specified by:
  `decode` in class `OneToOneDecoder`
Throws:
  `Exception`